import matplotlib.pyplot as plt
numargs = uniform.numargs
[  ] = [0.9,] * numargs
rv = uniform()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = uniform.cdf(x, )
h = plt.semilogy(np.abs(x - uniform.ppf(prb, )) + 1e-20)

# Random number generation

R = uniform.rvs(size=100)
